indexing

	description: "Class that gives another class the portable_path feature."

	usage: "Use facility inheritance. Simply use portable_path.make_expand%
	%to give portable path a new expanded path. portable_path is preallocated%
	%so this should save some creation/garbage collection overhead.%
	%Unfortunately this means we have routines with side effects..."

	author: "Berend de Boer"
	date: "$Date: 2003/07/10 $";
	revision: "$Revision: #4 $"

class

	PORTABLE_PATH


feature {NONE} -- creation

	make_path is
		do
			if portable_path = Void then
				create portable_path.make (256)
			end
		end


feature {NONE} -- the portable path

	portable_path: STDC_PATH
			-- Scratch path.

	set_portable_path (a_path: STRING) is
		do
			if portable_path = Void then
				make_path
			else
				portable_path.wipe_out
			end
			if a_path /= Void then
				portable_path.append_string (a_path)
			end
		end


end
