indexing

	description: "Class that covers portable Windows current process code."

	author: "Berend de Boer"
	date: "$Date: 2003/03/20 $"
	revision: "$Revision: #3 $"


class

	EPX_CURRENT_PROCESS


inherit

	ABSTRACT_CURRENT_PROCESS

	WINDOWS_PROCESS

	WAPI_WINDOWS


feature -- Standard file descriptors

	fd_stdin: EPX_FILE_DESCRIPTOR is
		once
			create {WINDOWS_FILE_DESCRIPTOR} Result.attach_to_fd (posix_getstdhandle (STD_INPUT_HANDLE), False)
		end

	fd_stdout: EPX_FILE_DESCRIPTOR is
		once
			create {WINDOWS_FILE_DESCRIPTOR} Result.attach_to_fd (posix_getstdhandle (STD_OUTPUT_HANDLE), False)
		end

	fd_stderr: EPX_FILE_DESCRIPTOR is
		once
			create {WINDOWS_FILE_DESCRIPTOR} Result.attach_to_fd (posix_getstdhandle (STD_ERROR_HANDLE), False)
		end


feature -- Process termination

	terminate is
			-- Attempt to gracefully terminate this process.
		do
			exit_with_success
		end


feature {NONE} -- Abstract API

	abstract_getpid: INTEGER is
		do
			Result := posix_getcurrentprocessid
		end

	abstract_sleep (a_seconds: INTEGER): INTEGER is
		do
			posix_sleep (a_seconds * 1000)
			Result := 0
		end


end
