indexing

	description: "getest based test for writing XML messages."

	author: "Berend de Boer"
	date: "$Date: 2004/01/02 $"
	revision: "$Revision: #2 $"


deferred class

	TEST_XML_WRITER

inherit

	TS_TEST_CASE

feature -- Tests

	test_attributes is
		local
			xml: EPX_XML_WRITER
		do
			create xml.make_fragment
			xml.start_tag ("a")
			xml.set_attribute ("b", Void)
			xml.set_attribute ("c", "")
			xml.set_attribute ("d", "a")
			xml.stop_tag
			debug ("test")
				print (xml.as_string)
			end
		end

	test_escape is
		local
			xml: EPX_XML_WRITER
		do
			create xml.make_fragment
			xml.start_tag ("a")
			xml.add_data ("this & that")
			xml.stop_tag
			assert_equal ("Escaped content treated correctly.", "<a>this &amp; that</a>%N", xml.as_string)

			xml.clear
			xml.start_tag ("a")
			xml.add_data ("test>")
			xml.stop_tag
			assert_equal ("Escaped content treated correctly.", "<a>test></a>%N", xml.as_string)

			xml.clear
			xml.start_tag ("a")
			xml.add_data ("test]]>")
			xml.stop_tag
			assert_equal ("Escaped content treated correctly.", "<a>test]]&gt;</a>%N", xml.as_string)

			xml.clear
			xml.start_tag ("a")
			xml.add_data ("test]>")
			xml.stop_tag
			assert_equal ("Escaped content treated correctly.", "<a>test]></a>%N", xml.as_string)

			xml.clear
			xml.start_tag ("a")
			xml.add_data ("]>")
			xml.stop_tag
			assert_equal ("Escaped content treated correctly.", "<a>]></a>%N", xml.as_string)

			xml.clear
			xml.start_tag ("a")
			xml.add_data ("]]>")
			xml.stop_tag
			assert_equal ("Escaped content treated correctly.", "<a>]]&gt;</a>%N", xml.as_string)

			xml.clear
			xml.start_tag ("a")
			xml.add_data ("]]>ab")
			xml.stop_tag
			assert_equal ("Escaped content treated correctly.", "<a>]]&gt;ab</a>%N", xml.as_string)
		end

end
